NSS 3.12 and system wide installation, e.g. Linux distributions

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

NSS 3.12 and system wide installation, e.g. Linux distributions

Wolfgang Rosenauer-2
Hi,

I'm just working on an NSS 3.12pre package.
The issue I find is sqlite3 what is called libsqlite3.so and would live
in /usr/lib if installed as system library.
That would clash with a system installed sqlite3.

The solution for newer distributions is to use a system sqlite as NSS
dependency and there is no problem here.

NSS is using stuff like sqlite3_prepare_v2 though which is not available
in sqlite3 installations for most older (still supported) distributions.

Any recommendation from NSS developers?

Thanks,
  Wolfgang
_______________________________________________
dev-tech-crypto mailing list
[hidden email]
https://lists.mozilla.org/listinfo/dev-tech-crypto
Reply | Threaded
Open this post in threaded view
|

Re: NSS 3.12 and system wide installation, e.g. Linux distributions

Wolfgang Rosenauer-2
Wolfgang Rosenauer wrote:

> Hi,
>
> I'm just working on an NSS 3.12pre package.
> The issue I find is sqlite3 what is called libsqlite3.so and would live
> in /usr/lib if installed as system library.
> That would clash with a system installed sqlite3.
>
> The solution for newer distributions is to use a system sqlite as NSS
> dependency and there is no problem here.
>
> NSS is using stuff like sqlite3_prepare_v2 though which is not available
> in sqlite3 installations for most older (still supported) distributions.
>
> Any recommendation from NSS developers?

Ok, I've changed my NSS to use libnsssqlite3.so instead of just
libsqlite3.so what should solve my issue.

Wolfgang
_______________________________________________
dev-tech-crypto mailing list
[hidden email]
https://lists.mozilla.org/listinfo/dev-tech-crypto